Core - Task # 46821

Status: Resolved Priority: Should have
Author: Stefan Neufeind Category: Caching
Created: 2013-03-31 Assigned To:

Updated: 2013-03-31 Due date:

TYPO3 Version: 6.1

PHP Version:

Complexity:

Sprint Focus:

Subject: Add support for user-data-cache APCu (since the arrival of Zend Optimizer+ now)
Description

APCu is user-data part of APC - essentially APC without the opcache-part :-)

http:/it-republik.de/php/news/APCu-4.0.0-im-PECL-erschienen-066941.html

http:/it-republik.de/php/news/APCu-Autor-Joe-Watkins-erklaert-worauf-wir-achten-muessen-066942.html

Related issues:

related to Core - Feature # 46822: Add support for user-data-cache Yac (since...

related to TYPOS3.Flow - Task # 46823: Detect APC and APCu correctly

Rejected
Accepted

2013-03-31
2013-03-31

Associated revisions

Revision 0d34f7f0 - 2013-03-31 18:52 - Stefan Neufeind

[TASK] Detect APC and APCu correctly

APCu is just the user-data part of APC,
providing the same API.

If installed it currently identifies itself
as both "apcu" and "apc" (for compatibility).
Thus if "apcu" shows up, we actually have an APC

without opcache-support.

Resolves: #46821

Releases: 4.5, 4.7, 6.0, 6.1

Change-Id: le046fa21102c5c7eb6b5b8a9cf54b20252c30cd9
Reviewed-on: https:/review.typo3.org/19462

Reviewed-by: Christian Kuhn

Tested-by: Christian Kuhn

Revision 46cde8ac - 2013-03-31 21:12 - Stefan Neufeind

[TASK] Detect APC and APCu correctly

APCu is just the user-data part of APC,
providing the same API.

If installed it currently identifies itself
as both "apcu" and "apc" (for compatibility).
Thus if "apcu" shows up, we actually have an APC

without opcache-support.

Resolves: #46821

Releases: 4.5, 4.7, 6.0, 6.1

Change-Id: Id61bcf9277295915a6e204eabab7c65159e98764
Reviewed-on: https://review.typo3.org/19469

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 46871974 - 2013-03-31 21:12 - Stefan Neufeind

[TASK] Detect APC and APCu correctly

APCu is just the user-data part of APC,
providing the same API.

If installed it currently identifies itself

as both "apcu" and "apc" (for compatibility).

Thus if "apcu” shows up, we actually have an APC
without opcache-support.

Resolves: #46821

Releases: 4.5, 4.7, 6.0, 6.1

Change-Id: 1f933a889€9874b6224713a5d48b3cadd3b66463f
Reviewed-on: https://review.typo3.org/19470

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 5d4f0430 - 2013-03-31 21:12 - Stefan Neufeind

[TASK] Detect APC and APCu correctly

APCu is just the user-data part of APC,
providing the same API.

If installed it currently identifies itself

as both "apcu" and "apc" (for compatibility).

Thus if "apcu" shows up, we actually have an APC
without opcache-support.

Resolves: #46821

Releases: 4.5, 4.7, 6.0, 6.1

Change-Id: la62e06c5fdaab1e836f02020277ca0fb17bf118d
Reviewed-on: https://review.typo3.org/19471

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History

#1 - 2013-03-31 17:47 - Stefan Neufeind
http://pecl.php.net/package/APCu

Functions : same APl as APC.
This is a (friendly) fork of APC, dedicated to clean-up code from all the cache side of opcode and to provide an alternative permitting to supersede APC

in a transparent manner to applications.

(source: http://blog.famillecollet.com/post/2013/03/25/PHP-opcode-and-user-data-cache)

#2 - 2013-03-31 18:37 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19462

#3 - 2013-03-31 18:38 - Stefan Neufeind

Could somebody turn this from "feature” into a "task" please? See patch in review. The API is identical, APCu is just "an APC without

opcache-functionality".

#4 - 2013-03-31 18:45 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/19462

#5 - 2013-03-31 18:48 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19462

#6 - 2013-03-31 19:22 - Christian Kuhn

- Tracker changed from Feature to Task
#7 - 2013-03-31 19:30 - Stefan Neufeind

- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:0d34f7f09598c80b5613a5e4b9538559a23b2ab8.

#8 - 2013-03-31 19:55 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19468
#9 - 2013-03-31 19:55 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-0 has been pushed to the review server.

It is available at https://review.typo3.org/19469

#10 - 2013-03-31 19:59 - Gerrit Code Review

Patch set 1 for branch TYPO3_4-7 has been pushed to the review server.

It is available at https://review.typo3.org/19470

#11 - 2013-03-31 20:02 - Gerrit Code Review

Patch set 1 for branch TYPO3_4-5 has been pushed to the review server.

It is available at https://review.typo3.0rg/19471

#12 - 2013-03-31 21:30 - Stefan Neufeind

- Status changed from Under Review to Resolved

Applied in changeset commit:5d4f0430428240cf1f413672a07912d084244e6d.
